Bug 1312976 - imp module is deprecated
imp module is deprecated
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
24
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 11:58 EST by Orion Poplawski
Modified: 2017-03-01 10:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-01 10:52:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2016-02-29 11:58:00 EST
Description of problem:

/usr/lib/python3.5/site-packages/pykickstart/version.py:59: PendingDeprecationWarning: the imp module is deprecated in favor of importlib: see the module's documentation for alternative uses
  import imp                    # type: ignore

Version-Release number of selected component (if applicable):
24.13-1
Comment 1 Chris Lumens 2016-03-02 14:48:59 EST
Fixed by https://github.com/rhinstaller/pykickstart/pull/65, thanks.

Note You need to log in before you can comment on or make changes to this bug.